12 berichten aan het bekijken - 1 tot 12 (van in totaal 12)
  • Q:
    Bijdrager
    PeterMeeuwsen

    redelijk technisch vraagje (Terminal)

    Beetje chaotische vraag, maar toch…:)

    ik wil iets installeren via de terminal…
    ik moet daarvoor (volgens de handleiding) ./configure voor gebruiken….
    Vervolgens krijg ik de melding:
    checking host system type… configure: error: can not guess host type; you must specify one

    dus moet ik iets gebruiken als: ./configure –host= […..]

    maar wat moet ik daar invullen? Ik werk op een iMac G4 met Panther

    powerpc-apple-……..? Wie maakt ‘m af?:)

    Bijdrager
    rbroen

    Als het een script is, kun je het in een text editor openen.

    Als het een executable is, kun je proberen ‘man ./configure’.

    Bijdrager
    PeterMeeuwsen

    thnx maar…. als ik ‘man ./configure’ gebruik, krijg ik:
    no manual entry for ./configure….

    zucht…. ik denk dat ik morgen hulp inschakel van een docent:)

    Maar toch bedankt rbroen!

    Bijdrager
    Sad

    ja kan als host volgens mij gewoon 127.0.0.1 invullen ofwel localhost?

    Bijdrager
    Nexus

    Ehrm nee, colpolyp, dat is iets heel anders;)

    Even in de Makefile kijken wat de mogelijkheden zijn.

    Vaak geeft ./configure –help ook een overzicht van de mogelijke opties.

    Bijdrager
    Pn
    ”rbroen”

    Als het een script is, kun je het in een text editor openen.

    Als het een executable is, kun je proberen ‘man ./configure’.

    Het ene sluit het andere niet uit:wink: In dit geval is het waarschijnlijk een GNU configure script, wat zowel een script als een executable is. Deze scripts worden bij sommige sources geleverd om het compilen te vergemakkelijken.

    Echter, deze source is of erg oud, of hij doet library-specifieke dingen die nog nooit zijn getest onder MacOS X / Darwin.

    PeterMeeuwsen, als me verteld om welke stukje software het gaat, kan ik je misschien helpen.

    Bijdrager
    PeterMeeuwsen

    Ik wil uiteindelijk BIE installeren, en daarvoor moet je GNU TAR installeren (omdat de versie die bij OSX zit niet toereikend blijkt te zijn…)….

    En bij het installeren van dat pakketje gaat het fout…

    Kan het aan het feit liggen dat ik panther draai?

    ow ja… ik heb tar-1.13.tar gedownload….

    Bijdrager
    Pn
    ”PeterMeeuwsen”

    Ik wil uiteindelijk BIE installeren, en daarvoor moet je GNU TAR installeren (omdat de versie die bij OSX zit niet toereikend blijkt te zijn…)….

    En bij het installeren van dat pakketje gaat het fout…

    Kan het aan het feit liggen dat ik panther draai?

    ow ja… ik heb tar-1.13.tar gedownload….

    GNU tar wordt standaard meegeleverd met Panther. Zie “/usr/bin/gnutar”.

    Bijdrager
    PeterMeeuwsen

    ah thnx! ga ik verder proberen!:)

    Bijdrager
    PeterMeeuwsen

    Inderdaad… alles werkt nu zoals het hoort….

    Maar als ik het goed begrijp was GNU TAR dus niet meegeleverd bij <10.3?
    (Misschien goed om rekening mee te houden bij andere systemen)

    Inactief
    Anoniem

    Voordat je er helemaal induikt, zou ik eens bij het Fink project kijken of iemand dit al voor je heeft gedaan. Zie http://fink.sf.net/.

    – Koen.

    Bijdrager
    PeterMeeuwsen

    Ik heb het nu al draaien, maar dit is zeker een bookmark waard! Kan ik vast binnenkort gebruiken! thnx!

12 berichten aan het bekijken - 1 tot 12 (van in totaal 12)

Je moet ingelogd zijn om een reactie op dit onderwerp te kunnen geven.